Package org.apache.sling.discovery.base.connectors

# Interface BaseConfig

public interface BaseConfig
Configuration for discovery.base

## Method Summary

Modifier and Type
Method
Description
`int`
`getBackoffStableFactor()`
Returns the (maximum) backoff factor to be used for stable connectors
`int`
`getBackoffStandbyFactor()`
Returns the backoff factor to be used for standby (loop) connectors
`long`
`getBackoffStandbyInterval()`
Returns the backoff interval for standby (loop) connectors in seconds
`String`
`getClusterInstancesPath()`
Returns the resource path where cluster instance informations are stored.
`long`
`getConnectorPingInterval()`
Returns the interval (in seconds) in which connectors are pinged
`long`
`getConnectorPingTimeout()`
Returns the timeout (in seconds) after which a connector ping is considered invalid/timed out
`long`
`getKeyInterval()`
`int`
`getMinEventDelay()`
The minEventDelay to apply to the ViewStateManager
`String`
`getSharedKey()`
`int`
`getSocketConnectTimeout()`
Returns the socket connect() timeout used by the topology connector, 0 disables the timeout
`int`
`getSoTimeout()`
Returns the socket read timeout (SO_TIMEOUT) used by the topology connector, 0 disables the timeout
`URL[]`
`getTopologyConnectorURLs()`
Returns the URLs to which to open a topology connector - or null/empty if no topology connector is configured (default is null)
`String[]`
`getTopologyConnectorWhitelist()`
Returns a comma separated list of hostnames and/or ip addresses which are allowed as remote hosts to open connections to the topology connector servlet
`boolean`
`isAutoStopLocalLoopEnabled()`
`boolean`
`isEncryptionEnabled()`
`boolean`
`isGzipConnectorRequestsEnabled()`
`boolean`
`isHmacEnabled()`

## Method Details

### getSocketConnectTimeout

int getSocketConnectTimeout()
Returns the socket connect() timeout used by the topology connector, 0 disables the timeout

Returns:
  the socket connect() timeout used by the topology connector, 0 disables the timeout

### getSoTimeout

int getSoTimeout()
Returns the socket read timeout (SO_TIMEOUT) used by the topology connector, 0 disables the timeout

Returns:
  the socket read timeout (SO_TIMEOUT) used by the topology connector, 0 disables the timeout

### getTopologyConnectorURLs

URL[] getTopologyConnectorURLs()
Returns the URLs to which to open a topology connector - or null/empty if no topology connector is configured (default is null)

Returns:
  the URLs to which to open a topology connector - or null/empty if no topology connector is configured

### getTopologyConnectorWhitelist

String[] getTopologyConnectorWhitelist()
Returns a comma separated list of hostnames and/or ip addresses which are allowed as remote hosts to open connections to the topology connector servlet

Returns:
  a comma separated list of hostnames and/or ip addresses which are allowed as remote hosts to open connections to the topology connector servlet

### getClusterInstancesPath

String getClusterInstancesPath()
Returns the resource path where cluster instance informations are stored.

Returns:
  the resource path where cluster instance informations are stored

### isHmacEnabled

boolean isHmacEnabled()

Returns:
  true if hmac is enabled.

### getSharedKey

String getSharedKey()

Returns:
  the shared key

### getKeyInterval

long getKeyInterval()

Returns:
  the interval of the shared key for hmac.

### isEncryptionEnabled

boolean isEncryptionEnabled()

Returns:
  true if encryption is enabled.

### isGzipConnectorRequestsEnabled

boolean isGzipConnectorRequestsEnabled()

Returns:
  true if requests on the topology connector should be gzipped (which only works if the server accepts that.. ie discovery.impl 1.0.4+)

### isAutoStopLocalLoopEnabled

boolean isAutoStopLocalLoopEnabled()

Returns:
  true if the auto-stopping of local-loop topology connectors is enabled.

### getBackoffStandbyFactor

int getBackoffStandbyFactor()
Returns the backoff factor to be used for standby (loop) connectors

Returns:
  the backoff factor to be used for standby (loop) connectors

### getBackoffStableFactor

int getBackoffStableFactor()
Returns the (maximum) backoff factor to be used for stable connectors

Returns:
  the (maximum) backoff factor to be used for stable connectors

### getBackoffStandbyInterval

long getBackoffStandbyInterval()
Returns the backoff interval for standby (loop) connectors in seconds

Returns:
  the backoff interval for standby (loop) connectors in seconds

### getConnectorPingInterval

long getConnectorPingInterval()
Returns the interval (in seconds) in which connectors are pinged

Returns:
  the interval (in seconds) in which connectors are pinged

### getConnectorPingTimeout

long getConnectorPingTimeout()
Returns the timeout (in seconds) after which a connector ping is considered invalid/timed out

Returns:
  the timeout (in seconds) after which a connector ping is considered invalid/timed out

### getMinEventDelay

int getMinEventDelay()
The minEventDelay to apply to the ViewStateManager